#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

Summary:	Python 2 bindings for libcdio
Summary(pl.UTF-8):	Wiązania Pythona 2 do libcdio
Name:		python-pycdio
Version:	0.20
Release:	5
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://ftp.gnu.org/gnu/libcdio/pycdio-%{version}.tar.gz
# Source0-md5:	3f075574f661f49f4ede89aff9ff0cda
Patch0:		%{name}-update.patch
URL:		http://www.gnu.org/software/libcdio/
BuildRequires:	libcdio-devel >= 0.84
BuildRequires:	pkgconfig
%{?with_python2:BuildRequires:	python-devel >= 1:2.3.5}
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	swig-python >= 3
Requires:	libcdio >= 0.84
Requires:	python-libs >= 1:2.3.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 bindings for libcdio.

%description -l pl.UTF-8
Wiązania Pythona 2 do libcdio.

%package -n python3-pycdio
Summary:	Python 3 bindings for libcdio
Summary(pl.UTF-8):	Wiązania Pythona 3 do libcdio
Group:		Libraries/Python
Requires:	libcdio >= 0.84
Requires:	python3-libs >= 1:3.2

%description -n python3-pycdio
Python 3 bindings for libcdio.

%description -n python3-pycdio -l pl.UTF-8
Wiązania Pythona 3 do libcdio.

%package examples
Summary:	Example programs using Python libcdio bindings
Summary(pl.UTF-8):	Przykładowe programy w Pythonie używające libcdio
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Example programs using Python libcdio bindings.

%description examples -l pl.UTF-8
Przykładowe programy w Pythonie używające libcdio.

%prep
%setup -q -n pycdio-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/{*.py,README} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ChangeLog README.txt THANKS
%attr(755,root,root) %{py_sitedir}/_pycdio.so
%attr(755,root,root) %{py_sitedir}/_pyiso9660.so
%{py_sitedir}/cdio.py[co]
%{py_sitedir}/iso9660.py[co]
%{py_sitedir}/pycdio.py[co]
%{py_sitedir}/pyiso9660.py[co]
%{py_sitedir}/pycdio-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pycdio
%defattr(644,root,root,755)
%doc ChangeLog README.txt THANKS
%attr(755,root,root) %{py3_sitedir}/_pycdio.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/_pyiso9660.cpython-*.so
%{py3_sitedir}/cdio.py
%{py3_sitedir}/iso9660.py
%{py3_sitedir}/pycdio.py
%{py3_sitedir}/pyiso9660.py
%{py3_sitedir}/__pycache__/cdio.cpython-*.py[co]
%{py3_sitedir}/__pycache__/iso9660.cpython-*.py[co]
%{py3_sitedir}/__pycache__/pycdio.cpython-*.py[co]
%{py3_sitedir}/__pycache__/pyiso9660.cpython-*.py[co]
%{py3_sitedir}/pycdio-%{version}-py*.egg-info
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Dec 10 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycdio.git;a=log;h=master

* Sun Dec 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 2749bbb
- added update patch (fix build with libcdio 1.0.0: remove obsolete constant)
- added python3 package
- release 5

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 6cc0cc9
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a7484fd
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 454d6e9
- automatic change: use py_build/py_install macros

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 155bdbf
- libcdio related rebuild
- release 3 (by relup.sh)

* Tue Dec 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> 0e7a441
- release 2 (by relup.sh)

* Thu Sep 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 599ae60
- updated to 0.20

* Sat Feb 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 7ebb6b8
- updated to 0.19

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 1763443
- updated to 0.18

* Sun Oct 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 478403e
- updated to 0.16

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> d4c132c
- BR: pkgconfig

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 180c8ac
- new

